org.apache.poi.hmef

## Class HMEFMessage

- java.lang.Object
- - org.apache.poi.hmef.HMEFMessage

-     public final class HMEFMessage
      extends java.lang.Object

  HMEF - Implementation of the Microsoft TNEF message encoding format (aka winmail.dat) See: http://support.microsoft.com/kb/241538 http://en.wikipedia.org/wiki/Transport_Neutral_Encapsulation_Format http://search.cpan.org/dist/Convert-TNEF/

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HEADER_SIGNATURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HMEFMessage(java.io.InputStream inp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Attachment>` | `getAttachments()` Returns all the Attachments of the message.
    `java.lang.String` | `getBody()` Returns the Message Body, as RTF, or null if the mapi property for this isn't set
    `TNEFAttribute` | `getMessageAttribute(TNEFProperty id)` Return the message attribute with the given ID, or null if there isn't one.
    `java.util.List<TNEFAttribute>` | `getMessageAttributes()` Returns all HMEF/TNEF attributes of the message.
    `MAPIAttribute` | `getMessageMAPIAttribute(MAPIProperty id)` Return the message MAPI Attribute with the given ID, or null if there isn't one.
    `java.util.List<MAPIAttribute>` | `getMessageMAPIAttributes()` Returns all MAPI attributes of the message.
    `java.lang.String` | `getSubject()` Returns the Message Subject, or null if the mapi property for this isn't set

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_SIGNATURE

          public static final int HEADER_SIGNATURE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HMEFMessage

          public HMEFMessage(java.io.InputStream inp)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getMessageAttributes

          public java.util.List<TNEFAttribute> getMessageAttributes()

      Returns all HMEF/TNEF attributes of the message. Note - In a typical message, most of the interesting properties are stored as `MAPIAttribute`s - see `getMessageMAPIAttributes()`

    - #### getMessageMAPIAttributes

          public java.util.List<MAPIAttribute> getMessageMAPIAttributes()

      Returns all MAPI attributes of the message. Note - A small number of HMEF/TNEF specific attributes normally apply to most messages, see `getMessageAttributes()`

    - #### getAttachments

          public java.util.List<Attachment> getAttachments()

      Returns all the Attachments of the message.

    - #### getMessageAttribute

          public TNEFAttribute getMessageAttribute(TNEFProperty id)

      Return the message attribute with the given ID, or null if there isn't one.

    - #### getMessageMAPIAttribute

          public MAPIAttribute getMessageMAPIAttribute(MAPIProperty id)

      Return the message MAPI Attribute with the given ID, or null if there isn't one.

    - #### getSubject

          public java.lang.String getSubject()

      Returns the Message Subject, or null if the mapi property for this isn't set

    - #### getBody

          public java.lang.String getBody()

      Returns the Message Body, as RTF, or null if the mapi property for this isn't set

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.